Bug 416421 - Error adding user with existing home directory
Error adding user with existing home directory
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-users (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
/
:
: 423491 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-08 04:58 EST by Pedro
Modified: 2009-01-09 00:27 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:27:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pedro 2007-12-08 04:58:25 EST
Description of problem:
The error appears in "system-config-users" when adding a new user for whom we
want to assign a home directory which already exists.  I.e., I have a /home
partition with some users from my previous linux installation.  Then I wipe
/usr, / and /var,  and install a brand new FC8.   Then I re-create my users with
system-config-users, and I specify the UID and GID manually to match those in
/home.   When "add"ing a new user, i specify the username, the password, and I
do not check the "create home directory" box,  but I do specify the home
directory (because it exists already), as "/home/user"
I also check "create private group", and manually set the UID and GID.

The result is:
 -  private group is created with requested GID
 -  user is created with requested UID
 -  user is created WITHOUT a home directory listed in /etc/passwd
 -  the "system-config-users" tool DOES NOT display the new user (in list of
users), but the user does exist in /etc/passwd
 -  the "system-config-users" tool DOES display the new private group

Then I quit system-config-users, and restart it.   This time the new user is
displayed in the list of users, showing an empty home directory.



Version-Release number of selected component (if applicable):
Version 1.2.72

How reproducible:
always

Steps to Reproduce:
(explained above)
  
Actual results:
User is created without a home directory specified in /etc/passwd, and the new
user does not appear listed in the list of users of "system-config-users".  
User is created and entered in /etc/passwd.

Expected results:
The home directory indicated in the "add user" dialog should be specified in
/etc/passwd, and the user should appear in the list of users after adding the
new user.

Additional info:
(none)
Comment 1 Nils Philippsen 2007-12-13 10:07:33 EST
*** Bug 423491 has been marked as a duplicate of this bug. ***
Comment 2 Nils Philippsen 2007-12-27 08:48:45 EST
fixed in system-config-users-1.2.74 in Rawhide
Comment 3 Bug Zapper 2008-11-26 03:53:59 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-01-09 00:27:13 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.